## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-git-changelog
Version:        0.4.2
Release:        %autorelease
Summary:        Automatic Changelog generator using Jinja2 templates

License:        ISC
URL:            https://github.com/pawamoy/git-changelog
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        git-changelog.1

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools

%global _description %{expand:
Automatic Changelog generator using Jinja2 templates 
From git logs to change logs
This is a general software development utility.}

%description %_description

%package -n python3-git-changelog
Requires:       git-core
Summary:        %{summary}

%description -n python3-git-changelog %_description


%prep
%autosetup -n git-changelog-%{version}
sed -i 's/^Jinja2.*/Jinja2 = "*"/' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
install -m 0644 -p -D -t %{buildroot}%{_mandir}/man1 %{SOURCE1}
%pyproject_install
%pyproject_save_files git_changelog
rm -fv %{buildroot}%{python3_sitelib}/README.md
rm -fv %{buildroot}%{python3_sitelib}/pyproject.toml


%check
%pytest


%files -n python3-git-changelog -f %{pyproject_files}
%doc README.* CHANGELOG.* CODE_OF_CONDUCT.* CONTRIBUTING.* CREDITS.*
%license LICENSE*
%{_bindir}/git-changelog
%{_mandir}/man1/git-changelog.1*


%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.4.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Nov 15 2022 Vanessa Kris <vanessaigwe1@gmail.com> 0.4.2-6
- Added BuildRequires: python3-setuptools

* Tue Nov 15 2022 Vanessa Kris <vanessaigwe1@gmail.com> 0.4.2-5
- Added BuildRequires: python3-setuptools

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> 0.4.2-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 11 2021 Vanessa Christopher <vanessaigwe1@gmail.com> 0.4.2-1
- Initial import (2017610).
